diff -r 64989aaf12b1 -r c202b7ee7991 libgui/languages/de_DE.ts
--- a/libgui/languages/de_DE.ts	Sat Mar 31 18:52:50 2018 +0200
+++ b/libgui/languages/de_DE.ts	Sat Mar 31 13:27:59 2018 +0200
@@ -2421,688 +2430,689 @@
 is already used for the action
   &quot;%2&quot;.
 Do you want to use the shortcut anyhow removing it from the previous action?</source>
-        <translation type="unfinished">Das gewählte Tastenkürzel
+        <translation>Das gewählte Tastenkürzel
   &quot;%1&quot;&quot;
 wird bereits für die Aktion
   &quot;%2&quot;&quot;
-verwendet. Soll das Tastenkürzel trotzdem verwendet werden und damit von der vorgenannten Aktion entfernt werden?</translation>
+verwendet.
+Soll das Tastenkürzel trotzdem verwendet und damit von der vorgenannten Aktion entfernt werden?</translation>
     </message>
     <message>
         <location line="+102"/>
         <source>New File</source>
-        <translation type="unfinished">Neue Datei</translation>
+        <translation>Neue Datei</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>New Function</source>
-        <translation type="unfinished">Neue Funktion</translation>
+        <translation>Neue Funktion</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>New Figure</source>
-        <translation type="unfinished">Neue Abbildung</translation>
+        <translation>Neue Abbildung</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Open File</source>
-        <translation type="unfinished">Datei öffnen</translation>
+        <translation>Datei öffnen</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Load Workspace</source>
-        <translation type="unfinished">Lade Arbeitsumgebung</translation>
+        <translation>Arbeitsumgebung laden</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Save Workspace As</source>
-        <translation type="unfinished">Arbeitsumgebung speichern unter</translation>
+        <translation>Arbeitsumgebung speichern unter</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Exit Octave</source>
-        <translation type="unfinished">Octave beenden</translation>
+        <translation>Octave beenden</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Copy</source>
-        <translation type="unfinished">Kopieren</translation>
+        <translation>Kopieren</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Paste</source>
-        <translation type="unfinished">Einfügen</translation>
+        <translation>Einfügen</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Undo</source>
-        <translation type="unfinished">Rückgängig</translation>
+        <translation>Rückgängig</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Select All</source>
-        <translation type="unfinished">Alles auswählen</translation>
+        <translation>Alles auswählen</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Clear Clipboard</source>
-        <translation type="unfinished">Zwischenablage leeren</translation>
+        <translation>Zwischenablage leeren</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Find in Files</source>
-        <translation type="unfinished">In Dateien suchen</translation>
+        <translation>In Dateien suchen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Clear Command Window</source>
-        <translation type="unfinished">Befehlsfenster löschen</translation>
+        <translation>Befehlsfenster leeren</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Clear Command History</source>
-        <translation type="unfinished"></translation>
+        <translation>Befehlsverlauf leeren</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Clear Workspace</source>
-        <translation type="unfinished">Arbeitsumgebung löschen</translation>
+        <translation>Arbeitsumgebung leeren</translation>
     </message>
     <message>
         <location line="+1"/>
         <location line="+162"/>
         <source>Preferences</source>
-        <translation type="unfinished">Einstellungen</translation>
+        <translation>Einstellungen</translation>
     </message>
     <message>
         <location line="-159"/>
         <source>Step</source>
-        <translation type="unfinished">Einzelschritt</translation>
+        <translation>Einzelschritt</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Step Into</source>
-        <translation type="unfinished">Hineinspringen</translation>
+        <translation>Hineinspringen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Step Out</source>
-        <translation type="unfinished">Herausspringen</translation>
+        <translation>Herausspringen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Continue</source>
-        <translation type="unfinished">Fortfahren</translation>
+        <translation>Fortfahren</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Quit Debug Mode</source>
-        <translation type="unfinished">Debug-Modus beenden</translation>
+        <translation>Debug-Modus beenden</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Show Command Window</source>
-        <translation type="unfinished">Befehlsfenster anzeigen</translation>
+        <translation>Befehlsfenster anzeigen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Command History</source>
-        <translation type="unfinished">Befehlshistorie anzeigen</translation>
+        <translation>Befehlsverlauf anzeigen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show File Browser</source>
-        <translation type="unfinished">Dateibrowser anzeigen</translation>
+        <translation>Dateibrowser anzeigen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Workspace</source>
-        <translation type="unfinished">Arbeitsumgebung anzeigen</translation>
+        <translation>Arbeitsumgebung anzeigen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Editor</source>
-        <translation type="unfinished">Editor anzeigen</translation>
+        <translation>Editor anzeigen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Documentation</source>
-        <translation type="unfinished">Dokumentation anzeigen</translation>
+        <translation>Dokumentation anzeigen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Variable Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>Variableneditor anzeigen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Command Window</source>
-        <translation type="unfinished">Befehlsfenster</translation>
+        <translation>Befehlsfenster</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Command History</source>
-        <translation type="unfinished"></translation>
+        <translation>Befehlsverlauf</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>File Browser</source>
-        <translation type="unfinished">Dateibrowser</translation>
+        <translation>Dateibrowser</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Workspace</source>
-        <translation type="unfinished">Arbeitsumgebung</translation>
+        <translation>Arbeitsumgebung</translation>
     </message>
     <message>
         <location line="+2"/>
         <location line="+258"/>
         <source>Editor</source>
-        <translation type="unfinished">Editor</translation>
+        <translation>Editor</translation>
     </message>
     <message>
         <location line="-256"/>
         <source>Documentation</source>
-        <translation type="unfinished">Dokumentation</translation>
+        <translation>Dokumentation</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Variable Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>Variableneditor</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Reset Default Window Layout</source>
-        <translation type="unfinished">Fensterlayout auf Grundeinstellung zurücksetzen</translation>
+        <translation>Fensterlayout auf Grundeinstellung zurücksetzen</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show Ondisk Documentation</source>
-        <translation type="unfinished">Lokal installierte Dokumentation anzeigen</translation>
+        <translation>Lokal installierte Dokumentation anzeigen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Online Documentation</source>
-        <translation type="unfinished">Online-Dokumentation anzeigen</translation>
+        <translation>Online-Dokumentation anzeigen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Report Bug</source>
-        <translation type="unfinished">Fehler melden</translation>
+        <translation>Fehler melden</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Octave Packages</source>
-        <translation type="unfinished">Octave Pakete</translation>
+        <translation>Octave Pakete</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Contribute to Octave</source>
-        <translation type="unfinished">Zu Octave beitragen</translation>
+        <translation>Zu Octave beitragen</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Octave Developer Resources</source>
-        <translation type="unfinished">Ressourcen für Octave Entwickler</translation>
+        <translation>Ressourcen für Octave-Entwickler</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>About Octave</source>
-        <translation type="unfinished">Über Octave</translation>
+        <translation>Über Octave</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Release Notes</source>
-        <translation type="unfinished">Versionshinweise</translation>
+        <translation>Versionshinweise</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Community News</source>
-        <translation type="unfinished">Neuigkeiten der Community</translation>
+        <translation>Neuigkeiten aus der Community</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Close Tab</source>
-        <translation type="unfinished"></translation>
+        <translation>Tab schließen</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Close All Tabs</source>
-        <translation type="unfinished"></translation>
+        <translation>Alle Tabs schließen</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Close Other Tabs</source>
-        <translation type="unfinished"></translation>
+        <translation>Andere Tabs schließen</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Switch to Left Tab</source>
-        <translation type="unfinished">Zum Reiter links wechseln</translation>
+        <translation>Zum linken Tab wechseln</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Switch to Right Tab</source>
-        <translation type="unfinished">Zum Reiter rechts wechseln</translation>
+        <translation>Zum rechten Tab wechseln</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Move Tab Left</source>
-        <translation type="unfinished">Reiter links schieben</translation>
+        <translation>Tab nach links verschieben</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Move Tab Right</source>
-        <translation type="unfinished">Reiter rechts schieben</translation>
+        <translation>Tab nach rechts verschieben</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Edit Function</source>
-        <translation type="unfinished">Funktion bearbeiten</translation>
+        <translation>Funktion bearbeiten</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Save File</source>
-        <translation type="unfinished">Datei speichern</translation>
+        <translation>Datei speichern</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Save File As</source>
-        <translation type="unfinished">Datei speichern unter</translation>
+        <translation>Datei speichern unter</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Print</source>
-        <translation type="unfinished">Drucken</translation>
+        <translation>Drucken</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Redo</source>
-        <translation type="unfinished">Wiederherstellen</translation>
+        <translation>Wiederherstellen</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Cut</source>
-        <translation type="unfinished">Ausschneiden</translation>
+        <translation>Ausschneiden</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Find and Replace</source>
-        <translation type="unfinished">Suchen und Ersetzen</translation>
+        <translation>Suchen und Ersetzen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Find Next</source>
-        <translation type="unfinished">Nächsten suchen</translation>
+        <translation>Nächsten suchen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Find Previous</source>
-        <translation type="unfinished">Vorherigen suchen</translation>
+        <translation>Vorherigen suchen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Delete to Start of Word</source>
-        <translation type="unfinished">Bis zum Anfang des Wortes löschen</translation>
+        <translation>Bis zum Anfang des Wortes löschen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Delete to End of Word</source>
-        <translation type="unfinished">Bis zum Ende des Wortes löschen</translation>
+        <translation>Bis zum Ende des Wortes löschen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Delete to Start of Line</source>
-        <translation type="unfinished">Bis zum Anfang der Zeile löschen</translation>
+        <translation>Bis zum Anfang der Zeile löschen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Delete to End of Line</source>
-        <translation type="unfinished">Bis zum Ende der Zeile löschen</translation>
+        <translation>Bis zum Ende der Zeile löschen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Delete Line</source>
-        <translation type="unfinished">Zeile löschen</translation>
+        <translation>Zeile löschen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Copy Line</source>
-        <translation type="unfinished">Zeile kopieren</translation>
+        <translation>Zeile kopieren</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Cut Line</source>
-        <translation type="unfinished">Zeile ausschneiden</translation>
+        <translation>Zeile ausschneiden</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Duplicate Selection/Line</source>
-        <translation type="unfinished">Zeile oder Auswahl duplizieren</translation>
+        <translation>Zeile oder Auswahl duplizieren</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Transpose Line</source>
-        <translation type="unfinished">Zeilen tauschen</translation>
+        <translation>Zeilen tauschen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Completion List</source>
-        <translation type="unfinished">Vervollständigungsliste anzeigen</translation>
+        <translation>Vervollständigungsliste anzeigen</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Comment Selection</source>
-        <translation type="unfinished">Kommentieren</translation>
+        <translation>Auswahl kommentieren</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Uncomment Selection</source>
-        <translation type="unfinished">Kommentar entfernen</translation>
+        <translation>Kommentar entfernen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Comment Selection (Choosing String)</source>
-        <translation type="unfinished"></translation>
+        <translation>Auswahl kommentieren (String auswählen)</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Uppercase Selection</source>
-        <translation type="unfinished">Auswahl zu Großbuchstaben</translation>
+        <translation>Auswahl zu Großbuchstaben</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Lowercase Selection</source>
-        <translation type="unfinished">Auswahl zu Kleinbuchstaben</translation>
+        <translation>Auswahl zu Kleinbuchstaben</translation>
     </message>
     <message>
         <location line="+4"/>
         <location line="+5"/>
         <source>Indent Selection Rigidly</source>
-        <translation type="unfinished"></translation>
+        <translation>Auswahl eine Ebene einrücken</translation>
     </message>
     <message>
         <location line="-3"/>
         <location line="+5"/>
         <source>Unindent Selection Rigidly</source>
-        <translation type="unfinished"></translation>
+        <translation>Auswahl eine Ebene ausrücken</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Indent Code</source>
-        <translation type="unfinished"></translation>
+        <translation>Code automatisch einrücken</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Convert Line Endings to Windows</source>
-        <translation type="unfinished">Zeilenenden für Windows umwandeln</translation>
+        <translation>Zeilenenden für Windows umwandeln</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Convert Line Endings to Unix</source>
-        <translation type="unfinished">Zeilenenden für Linux umwandeln</translation>
+        <translation>Zeilenenden für Linux umwandeln</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Convert Line Endings to Mac</source>
-        <translation type="unfinished">Zeilenenden für Mac umwandeln</translation>
+        <translation>Zeilenenden für Mac umwandeln</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Goto Line</source>
-        <translation type="unfinished">Gehe zu Zeile</translation>
+        <translation>Gehe zu Zeile</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Move to Matching Brace</source>
-        <translation type="unfinished"></translation>
+        <translation>Zur zugehörigen Klammer springen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Select to Matching Brace</source>
-        <translation type="unfinished"></translation>
+        <translation>Bis zur zugehörigen Klammer markieren</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Toggle Bookmark</source>
-        <translation type="unfinished">Lesezeichen umschalten</translation>
+        <translation>Lesezeichen umschalten</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Next Bookmark</source>
-        <translation type="unfinished">Nächstes Lesezeichen</translation>
+        <translation>Nächstes Lesezeichen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Previous Bookmark</source>
-        <translation type="unfinished">Vorheriges Lesezeichen</translation>
+        <translation>Vorheriges Lesezeichen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Remove All Bookmark</source>
-        <translation type="unfinished">Alle Lesezeichen entfernen</translation>
+        <translation>Alle Lesezeichen entfernen</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Styles Preferences</source>
-        <translation type="unfinished">Stil-Einstellungen</translation>
+        <translation>Stil-Einstellungen</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Show Line Numbers</source>
-        <translation type="unfinished">Zeilennummern anzeigen</translation>
+        <translation>Zeilennummern anzeigen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Whitespace Characters</source>
-        <translation type="unfinished">Leerzeichen anzeigen</translation>
+        <translation>Leerzeichen anzeigen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Line Endings</source>
-        <translation type="unfinished">Zeilenenden anzeigen</translation>
+        <translation>Zeilenenden anzeigen</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Show Indentation Guides</source>
-        <translation type="unfinished">Einrückungshinweise anzeigen</translation>
+        <translation>Einrückungshinweise anzeigen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Long Line Marker</source>
-        <translation type="unfinished">Markierung langer Zeilen anzeigen</translation>
+        <translation>Markierung für lange Zeilen anzeigen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Toolbar</source>
-        <translation type="unfinished">Werkzeugleiste anzeigen</translation>
+        <translation>Werkzeugleiste anzeigen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Statusbar</source>
-        <translation type="unfinished">Statusleiste anzeigen</translation>
+        <translation>Statusleiste anzeigen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Horizontal Scrollbar</source>
-        <translation type="unfinished">Horizontale Bildlaufleiste anzeigen</translation>
+        <translation>Horizontale Bildlaufleiste anzeigen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Zoom In</source>
-        <translation type="unfinished">Vergrößern</translation>
+        <translation>Vergrößern</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Zoom Out</source>
-        <translation type="unfinished">Verkleinern</translation>
+        <translation>Verkleinern</translation>
     </message>
     <message>
         <location line="+2"/>
         <location line="+3"/>
         <source>Zoom Normal</source>
-        <translation type="unfinished">Normale Größe</translation>
+        <translation>Normale Größe</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Toggle Breakpoint</source>
-        <translation type="unfinished">Haltepunkt umschalten</translation>
+        <translation>Haltepunkt umschalten</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Next Breakpoint</source>
-        <translation type="unfinished">Nächster Haltepunkt</translation>
+        <translation>Nächster Haltepunkt</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Previous Breakpoint</source>
-        <translation type="unfinished">Vorheriger Haltepunkt</translation>
+        <translation>Vorheriger Haltepunkt</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Remove All Breakpoints</source>
-        <translation type="unfinished">Alle Haltepunkte entfernen</translation>
+        <translation>Alle Haltepunkte entfernen</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Run File</source>
-        <translation type="unfinished">Datei ausführen</translation>
+        <translation>Datei ausführen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Run Selection</source>
-        <translation type="unfinished">Auswahl ausführen</translation>
+        <translation>Auswahl ausführen</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Help on Keyword</source>
-        <translation type="unfinished">Hilfe zum Schlüsselwort</translation>
+        <translation>Hilfe zum Schlüsselwort</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Document on Keyword</source>
-        <translation type="unfinished">Dokumentation zum Schlüsselwort</translation>
+        <translation>Dokumentation zum Schlüsselwort</translation>
     </message>
     <message>
         <location line="+57"/>
         <source>Global</source>
-        <translation type="unfinished">Global</translation>
+        <translation>Global</translation>
     </message>
     <message>
         <location line="+3"/>
         <location line="+27"/>
         <source>File Menu</source>
-        <translation type="unfinished"></translation>
+        <translation>Datei-Menü</translation>
     </message>
     <message>
         <location line="-25"/>
         <location line="+27"/>
         <source>Edit Menu</source>
-        <translation type="unfinished"></translation>
+        <translation>Bearbeiten-Menü</translation>
     </message>
     <message>
         <location line="-25"/>
         <location line="+29"/>
         <source>Debug Menu</source>
-        <translation type="unfinished"></translation>
+        <translation>Debug-Menü</translation>
     </message>
     <message>
         <location line="-27"/>
         <source>Window Menu</source>
-        <translation type="unfinished"></translation>
+        <translation>Fenster-Menü</translation>
     </message>
     <message>
         <location line="+2"/>
         <location line="+29"/>
         <source>Help Menu</source>
-        <translation type="unfinished"></translation>
+        <translation>Hilfe-Menü</translation>
     </message>
     <message>
         <location line="-27"/>
         <source>News Menu</source>
-        <translation type="unfinished"></translation>
+        <translation>Neuigkeiten-Menü</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Tab Handling in Dock Widgets</source>
-        <translation type="unfinished"></translation>
+        <translation>Tabverhalten in andockbaren Bedienelementen</translation>
     </message>
     <message>
         <location line="+19"/>
         <source>View Menu</source>
-        <translation type="unfinished"></translation>
+        <translation>Ansicht-Menü</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Run Menu</source>
-        <translation type="unfinished"></translation>
+        <translation>Ausführen-Menü</translation>
     </message>
     <message>
         <location line="+68"/>
         <source>Import shortcuts from file ...</source>
-        <translation type="unfinished">Tastenkürzel aus Datei importieren ...</translation>
+        <translation>Tastenkürzel aus Datei importieren ...</translation>
     </message>
     <message>
         <location line="+1"/>
         <location line="+5"/>
         <source>Octave Shortcut Files (*.osc);;All Files (*)</source>
-        <translation type="unfinished">Octave Tastenkürzel-Dateien (*.osc);;Alle Dateien (*)</translation>
+        <translation>Octave Tastenkürzel-Dateien (*.osc);;Alle Dateien (*)</translation>
     </message>
     <message>
         <location line="-1"/>
         <source>Export shortcuts into file ...</source>
-        <translation type="unfinished">Tastenkürzel in Datei exportieren ...</translation>
+        <translation>Tastenkürzel in Datei exportieren...</translation>
     </message>
     <message>
         <location line="+11"/>
         <source>Failed to open %1 as octave shortcut file</source>
-        <translation type="unfinished">Konnte %1 nicht als Octave-Tastenkürzel-Datei öffnen</translation>
+        <translation>Konnte %1 nicht als Octave-Tastenkürzel-Datei öffnen</translation>
     </message>
     <message>
         <location line="+26"/>
         <source>Enter new Shortcut</source>
-        <translation type="unfinished">Neuer Tastenkürzel eingeben</translation>
+        <translation>Neues Tastenkürzel eingeben</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Apply the desired shortcut or click on the right button to reset the shortcut to its default.</source>
-        <translation type="unfinished">Das gewünschte Tastenkürzel eingeben oder auf die Schaltfläche rechts klicken, um das Tastenkürzel auf seinen Standardwert zurückzusetzen.</translation>
+        <translation>Das gewünschte Tastenkürzel eingeben oder auf die Schaltfläche rechts klicken, um das Tastenkürzel auf seinen Standardwert zurückzusetzen.</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>Enter shortcut directly by performing it</source>
-        <translation type="unfinished">Tastenkürzel direkt durch seine Ausführung eingeben</translation>
+        <translation>Tastenkürzel direkt durch seine Ausführung eingeben</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Actual shortcut</source>
-        <translation type="unfinished">Aktives Tastenkürzel</translation>
+        <translation>Aktives Tastenkürzel</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Default shortcut</source>
-        <translation type="unfinished">Standard-Tastenkürzel</translation>
+        <translation>Standard-Tastenkürzel</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Set to default</source>
-        <translation type="unfinished">Auf Standardwert setzen</translation>
+        <translation>Auf Standardwert setzen</translation>
     </message>
     <message>
         <location line="+63"/>
         <source>Overwriting Shortcuts</source>
-        <translation type="unfinished">Tastenkürzel überschreiben</translation>
+        <translation>Tastenkürzel überschreiben</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>You are about to overwrite all shortcuts.
 Would you like to save the current shortcut set or cancel the action?</source>
-        <translation type="unfinished">Dies überschreibt alle Tastenkürzel.
+        <translation>Dies überschreibt alle Tastenkürzel.
 Die eingestellten Tastenkürzel speichern oder die Aktion abbrechen?</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Don&apos;t save</source>
-        <translation type="unfinished">Nicht speichern</translation>
+        <translation>Nicht speichern</translation>
     </message>
 </context>
 <context>
